Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.defaults
Class ChildContainerTestCase

    java.lang.Object
      org.picocontainer.defaults.ChildContainerTestCase

    public class ChildContainerTestCase

extends Object

Author:
  Paul Hammant, Aslak Hellesøy, Rafal Krzewski

Constructor Summary
`ChildContainerTestCase()`

Method Summary
`void` | `testParentComponentRegisteredAsClassShouldBePreffered()`
`void` | `testParentContainerWithComponentWithEqualKeyShouldBeShadowedByChild()`
`void` | `testResolveFromGrandParentByKey()`
`void` | `testResolveFromGrandParentByType()`
`void` | `testResolveFromParentByKey()`
`void` | `testResolveFromParentByType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChildContainerTestCase

    public ChildContainerTestCase()

Method Detail

### testParentContainerWithComponentWithEqualKeyShouldBeShadowedByChild

    public void testParentContainerWithComponentWithEqualKeyShouldBeShadowedByChild()
                                                                             throws Exception

  Throws:
    `Exception`

### testParentComponentRegisteredAsClassShouldBePreffered

    public void testParentComponentRegisteredAsClassShouldBePreffered()
                                                               throws Exception

  Throws:
    `Exception`

### testResolveFromParentByType

    public void testResolveFromParentByType()

### testResolveFromParentByKey

    public void testResolveFromParentByKey()

### testResolveFromGrandParentByType

    public void testResolveFromGrandParentByType()

### testResolveFromGrandParentByKey

    public void testResolveFromGrandParentByKey()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.